{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "启动 Shared 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run dev",
            "cwd": "${workspaceFolder}/packages/shared",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        },
        {
            "name": "预览 Shared 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run preview",
            "cwd": "${workspaceFolder}/packages/shared",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        },
        {
            "name": "启动 Platform 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run dev",
            "cwd": "${workspaceFolder}/packages/platform",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        },
        {
            "name": "预览 Platform 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run preview",
            "cwd": "${workspaceFolder}/packages/platform",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        },
        {
            "name": "启动 workcase 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run dev",
            "cwd": "${workspaceFolder}/packages/workcase",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        },
        {
            "name": "预览 workcase 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run preview",
            "cwd": "${workspaceFolder}/packages/workcase",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        },
        {
            "name": "启动 Bidding 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run dev",
            "cwd": "${workspaceFolder}/packages/bidding",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        },
        {
            "name": "预览 Bidding 开发服务器",
            "type": "node-terminal",
            "request": "launch",
            "command": "npm run preview",
            "cwd": "${workspaceFolder}/packages/bidding",
            "presentation": {
                "echo": true,
                "reveal": "always",
                "focus": false,
                "panel": "new",
                "showReuseMessage": true,
                "clear": false
            }
        }
    ],
    "compounds": [
        {
            "name": "启动所有 Web 项目",
            "configurations": [
                "启动 Shared 开发服务器",
                "启动 Platform 开发服务器",
                "启动 workcase 开发服务器",
                // "启动 Bidding 开发服务器"
            ],
            "stopAll": true,
            "presentation": {
                "hidden": false,
                "group": "",
                "order": 1
            }
        },
        {
            "name": "启动所有预览 Web 项目",
            "configurations": [
                "预览 Shared 开发服务器",
                "预览 Platform 开发服务器",
                "预览 workcase 开发服务器",
                // "启动 Bidding 开发服务器"
            ],
            "stopAll": true,
            "presentation": {
                "hidden": false,
                "group": "",
                "order": 1
            }
        }
    ]
}
